New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Make webpack a peer dependency so that webpack 2 can be used #83

Merged
merged 1 commit into from Feb 14, 2017

Conversation

Projects
None yet
6 participants
@rvaidya
Copy link
Contributor

rvaidya commented Jan 11, 2017

Sorry for the wait

@hassankhan

This comment has been minimized.

Copy link
Contributor

hassankhan commented Jan 23, 2017

Any updates on this?

@domaslasauskas domaslasauskas merged commit fa63795 into serverless-heaven:master Feb 14, 2017

@borisirota

This comment has been minimized.

Copy link

borisirota commented Mar 8, 2017

Hi @domaslasauskas

Can you update npm with the latest version which supports this PR ?

Thanks !

@jamesandersen

This comment has been minimized.

Copy link

jamesandersen commented Mar 16, 2017

I just ran into a really nasty issue where I was trying to load a .json file. Running webpack normally worked fine but compiling with serverless webpack failed with an error. After eventually debugging through the serverless webpack code and forcing it to output the webpack version I discovered the version mismatch. I had webpack 2.2.1 installed globally but the serverless plugin was using 1.14 and causing my error.

I'm anxiously awaiting a new version on npm with this fix...

@patoncrispy

This comment has been minimized.

Copy link

patoncrispy commented Mar 22, 2017

@jamesandersen this will get you what you need in the meantime: yarn add --dev https://github.com/elastic-coders/serverless-webpack/tarball/master.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment